Package com.io7m.waxmill.machines

# Class WXMEvaluatedBootConfigurationUEFI.Builder

java.lang.Object
com.io7m.waxmill.machines.WXMEvaluatedBootConfigurationUEFI.Builder

Enclosing class:
  WXMEvaluatedBootConfigurationUEFI

    public static final class WXMEvaluatedBootConfigurationUEFI.Builder
    extends java.lang.Object

Builds instances of type `WXMEvaluatedBootConfigurationUEFI`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXMEvaluatedBootConfigurationUEFI.Builder` | `addAllRequiredNMDMs​(java.lang.Iterable<? extends java.nio.file.Path> elements)` | Adds elements to `requiredNMDMs` set.
  `WXMEvaluatedBootConfigurationUEFI.Builder` | `addAllRequiredPaths​(java.lang.Iterable<? extends java.nio.file.Path> elements)` | Adds elements to `requiredPaths` list.
  `WXMEvaluatedBootConfigurationUEFI.Builder` | `addRequiredNMDMs​(java.nio.file.Path element)` | Adds one element to `requiredNMDMs` set.
  `WXMEvaluatedBootConfigurationUEFI.Builder` | `addRequiredNMDMs​(java.nio.file.Path... elements)` | Adds elements to `requiredNMDMs` set.
  `WXMEvaluatedBootConfigurationUEFI.Builder` | `addRequiredPaths​(java.nio.file.Path element)` | Adds one element to `requiredPaths` list.
  `WXMEvaluatedBootConfigurationUEFI.Builder` | `addRequiredPaths​(java.nio.file.Path... elements)` | Adds elements to `requiredPaths` list.
  `WXMEvaluatedBootConfigurationUEFI` | `build()` | Builds a new `WXMEvaluatedBootConfigurationUEFI`.
  `WXMEvaluatedBootConfigurationUEFI.Builder` | `from​(WXMBootConfigurationType.WXMEvaluatedBootConfigurationType instance)` | Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMBootConfigurationType.WXMEvaluatedBootConfigurationType` instance.
  `WXMEvaluatedBootConfigurationUEFI.Builder` | `from​(WXMBootConfigurationType.WXMEvaluatedBootConfigurationUEFIType instance)` | Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMBootConfigurationType.WXMEvaluatedBootConfigurationUEFIType` instance.
  `WXMEvaluatedBootConfigurationUEFI.Builder` | `setCommands​(WXMEvaluatedBootCommands commands)` | Initializes the value for the `commands` attribute.
  `WXMEvaluatedBootConfigurationUEFI.Builder` | `setRequiredNMDMs​(java.lang.Iterable<? extends java.nio.file.Path> elements)` | Sets or replaces all elements for `requiredNMDMs` set.
  `WXMEvaluatedBootConfigurationUEFI.Builder` | `setRequiredPaths​(java.lang.Iterable<? extends java.nio.file.Path> elements)` | Sets or replaces all elements for `requiredPaths` list.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXMEvaluatedBootConfigurationUEFI.Builder from​(WXMBootConfigurationType.WXMEvaluatedBootConfigurationUEFIType instance)
    Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMBootConfigurationType.WXMEvaluatedBootConfigurationUEFIType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final WXMEvaluatedBootConfigurationUEFI.Builder from​(WXMBootConfigurationType.WXMEvaluatedBootConfigurationType instance)
    Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMBootConfigurationType.WXMEvaluatedBootConfigurationType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addRequiredPaths

    public final WXMEvaluatedBootConfigurationUEFI.Builder addRequiredPaths​(java.nio.file.Path element)
    Adds one element to `requiredPaths` list.
    Parameters:
      `element` - A requiredPaths element
    Returns:
      `this` builder for use in a chained invocation

  - ### addRequiredPaths

    public final WXMEvaluatedBootConfigurationUEFI.Builder addRequiredPaths​(java.nio.file.Path... elements)
    Adds elements to `requiredPaths` list.
    Parameters:
      `elements` - An array of requiredPaths elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setRequiredPaths

    public final WXMEvaluatedBootConfigurationUEFI.Builder setRequiredPaths​(java.lang.Iterable<? extends java.nio.file.Path> elements)
    Sets or replaces all elements for `requiredPaths` list.
    Parameters:
      `elements` - An iterable of requiredPaths elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllRequiredPaths

    public final WXMEvaluatedBootConfigurationUEFI.Builder addAllRequiredPaths​(java.lang.Iterable<? extends java.nio.file.Path> elements)
    Adds elements to `requiredPaths` list.
    Parameters:
      `elements` - An iterable of requiredPaths elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addRequiredNMDMs

    public final WXMEvaluatedBootConfigurationUEFI.Builder addRequiredNMDMs​(java.nio.file.Path element)
    Adds one element to `requiredNMDMs` set.
    Parameters:
      `element` - A requiredNMDMs element
    Returns:
      `this` builder for use in a chained invocation

  - ### addRequiredNMDMs

    public final WXMEvaluatedBootConfigurationUEFI.Builder addRequiredNMDMs​(java.nio.file.Path... elements)
    Adds elements to `requiredNMDMs` set.
    Parameters:
      `elements` - An array of requiredNMDMs elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setRequiredNMDMs

    public final WXMEvaluatedBootConfigurationUEFI.Builder setRequiredNMDMs​(java.lang.Iterable<? extends java.nio.file.Path> elements)
    Sets or replaces all elements for `requiredNMDMs` set.
    Parameters:
      `elements` - An iterable of requiredNMDMs elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllRequiredNMDMs

    public final WXMEvaluatedBootConfigurationUEFI.Builder addAllRequiredNMDMs​(java.lang.Iterable<? extends java.nio.file.Path> elements)
    Adds elements to `requiredNMDMs` set.
    Parameters:
      `elements` - An iterable of requiredNMDMs elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setCommands

    public final WXMEvaluatedBootConfigurationUEFI.Builder setCommands​(WXMEvaluatedBootCommands commands)
    Initializes the value for the `commands` attribute.
    Parameters:
      `commands` - The value for commands
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXMEvaluatedBootConfigurationUEFI build()
    Builds a new `WXMEvaluatedBootConfigurationUEFI`.
    Returns:
      An immutable instance of WXMEvaluatedBootConfigurationUEFI
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing